Summary: Complete C++ standard library
Name: STLport
Version: 4.0
Release: 2
Copyright: free (see license)
Url: http://www.stlport.org/
Packager: Levente Farkas <lfarkas@mindmaker.hu>
Group: System Environment/Languages
Source0: http://www.stlport.org/beta/STLport-4.0.tar.gz
Patch0: STLport-rename.patch
Patch1: STLport-bitset.patch
Patch2: STLport-honor-std.patch
Buildroot: /tmp/%{name}-%{version}-root

%description
STLport is a multiplatform STL implementation based on SGI STL.
This package contains the runtime library for STLport.

%package -n STLport-devel
Summary: Complete C++ standard library header files and libraries
Group: Development/Libraries
Requires: STLport = %{version}

%description -n STLport-devel
STLport is a multiplatform STL implementation based on SGI STL. Complete C++ 
standard library, including <complex> and SGI STL iostreams. If you would like
to use your code with STLport add -I/usr/include/stlport when compile and 
-lstlport_gcc when link (eg: gcc -I/usr/include/stlport x.cc -lstlport_gcc).

%define MAKEFILE gcc.mak

%prep
%setup
%patch0 -p1
%patch1 -p1
#%patch2 -p1
%build
cd src
make -f %{MAKEFILE} clean all

%install
rm -rf $RPM_BUILD_ROOT
cd src
make -f %{MAKEFILE} install
cd ..
install -d $RPM_BUILD_ROOT/usr/lib/
install -m755 lib/*.so $RPM_BUILD_ROOT/usr/lib/
install -m644 lib/*.a $RPM_BUILD_ROOT/usr/lib/

cd stlport
install -d $RPM_BUILD_ROOT/usr/include/stlport/stl/debug/
install -d $RPM_BUILD_ROOT/usr/include/stlport/stl/wrappers/
install -d $RPM_BUILD_ROOT/usr/include/stlport/using/
install -d $RPM_BUILD_ROOT/usr/include/stlport/config/
for i in * stl/* stl/debug/* stl/wrappers/* using/* config/* ; do
  if [ -f $i ]; then
    install -m644 $i $RPM_BUILD_ROOT/usr/include/stlport/$i
  fi
done
cd $RPM_BUILD_ROOT/usr/include/stlport
ln -s . ext

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n STLport-devel
/sbin/ldconfig

%postun -n STLport-devel
/sbin/ldconfig

%files
%defattr(-,root,root)
/usr/lib/libstlport_gcc.so

%files -n STLport-devel
%defattr(-,root,root)
%doc ChangeLog INSTALL README TODO doc
/usr/lib/libstlport_gcc.a
/usr/lib/libstlport_gcc_*
/usr/include/*

%changelog
* Tue Feb 20 2001 Levente Farkas <lfarkas@mindmaker.hu>
- small bugfix and remove honor-std

* Thu Jul 17 2000 Levente Farkas <lfarkas@mindmaker.hu>
- initial release use STLport-4.0
